CppUnit project page | FAQ

Public Member Functions | Public Attributes | Private Member Functions | List of all members
ProtectorContext Class Reference

Protector context (Implementation). Implementation detail. More...

`#include <ProtectorContext.h>`

Collaboration diagram for ProtectorContext:
[legend]

## Public Member Functions
| ProtectorContext (Test *test, TestResult *result, const std::string &shortDescription)

## Public Attributes
Test * | m_test
TestResult * | m_result
std::string | m_shortDescription

## Private Member Functions
| ProtectorContext (const ProtectorContext &)
| disable copy construction More...
ProtectorContext & | operator= (const ProtectorContext &)
| disable assignment More...

## Detailed Description

Protector context (Implementation). Implementation detail.

## Constructor & Destructor Documentation

## ◆ ProtectorContext() [1/2]

ProtectorContext::ProtectorContext | ( | Test * | test,
|  | TestResult * | result,
|  | const std::string & | shortDescription
| ) |  |
| inline

## ◆ ProtectorContext() [2/2]

ProtectorContext::ProtectorContext | ( | const ProtectorContext & |  | ) |
| private

disable copy construction

## Member Function Documentation

## ◆ operator=()

ProtectorContext& ProtectorContext::operator= | ( | const ProtectorContext & |  | ) |
| private

disable assignment

## Member Data Documentation

## ◆ m_result

TestResult* ProtectorContext::m_result

## ◆ m_shortDescription

std::string ProtectorContext::m_shortDescription

## ◆ m_test

Test* ProtectorContext::m_test

The documentation for this class was generated from the following file:

- ProtectorContext.h

| Send comments to: CppUnit Developers